Subject: Re: static modules
To: None <>
From: Chuck Yerkes <>
List: tech-pkg
Date: 12/19/2003 21:00:26
There's also that joy of 3 different Berkeley DBs
(after whacking a few things that wanted DB 4.1 into
using db4.2).

I'm sort of suprised that nvi development is stopped
and hasn't been updated to at least work with 4.2.52
(given KBostic's close ties to, er, KBostic :)

Quoting Chuck Yerkes (
> Y'all had such good answers before, I thought I'd
> come back.
> As much as I love carrying around shared libraries for
> 2 versions of berkeley/sleepycat DB and for SSL, I've
> decided it best to zilch the .so* libraries for them
> and use statically linked libs.
> Running through /usr/pkgsrc/mk/*, I'm not finding where
> I'd tell it (security/p5-Net-SSLeay for example) to skip
> along and use libssl.a/libcrypto.a.
> Is there docs I'm missing for this?
> Thanks